
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>保持iOS上键盘出现时输入框不被覆盖 / 憋错料</title>

    <meta name="description" content="保持iOS上键盘出现时输入框不被覆盖 如果屏幕中的内容项目比较多,键盘就可能覆盖住文本输入框之类的对象.你必须调整你的内容,使得输入框保持可见. 你会想到哪些处理方法呢? 第一种, 临时调整窗口中各个视图的大小,使得键盘从下向上占领的区域空白.键盘的高度( keyboard.size.height )是一定的,将视图中所有内容所在区域的 y 值减小到 y-keyboard.size.height . 该方法有个局限,如果所有内容之和大于窗口减去键盘高度的话,该方法将不能用. 第二种, 将窗口中所有视图嵌入进一个滚动视图对象( UIS">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">保持iOS上键盘出现时输入框不被覆盖</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>如果屏幕中的内容项目比较多，键盘就可能覆盖住文本输入框之类的对象。你必须调整你的内容，使得输入框保持可见。</p>
<p>你会想到哪些处理方法呢？</p>
<p>第一种，</p>
<p>临时调整窗口中各个视图的大小，使得键盘从下向上占领的区域空白。键盘的高度（ keyboard.size.height ）是一定的，将视图中所有内容所在区域的 y 值减小到 y-keyboard.size.height 。</p>
<p>该方法有个局限，如果所有内容之和大于窗口减去键盘高度的话，该方法将不能用。</p>
<p>第二种，</p>
<p>将窗口中所有视图嵌入进一个滚动视图对象（ UIScrollView ）中。在键盘出现时，你将输入框滚动到合适的位置，调整一下滚动视图的内容区域。</p>
<p>这些操作通过一个通知 UIKeyboardDidShowNotification &nbsp; 去实现的，逻辑过程如下：</p>
<p>1 、根据通知的字典信息 userInfo 得到键盘的 size 。</p>
<p>2 、根据键盘的 size 中的 height 值，调整滚动视图内容底部的 inset 。</p>
<p>3 、滚动目标视图即文件输入框进入视图中。</p>
<p>简要的代码如下：</p>
<p>1 、实现两个委托方法，用于指定输入框对象。</p>
<table>
<tbody>
<tr>
<td>
<br />-&nbsp;&nbsp; (void)textFieldDidBeginEditing:(UITextField *)textField</p>
</td>
</tr>
<tr>
<td>
<br />{</p>
</td>
</tr>
<tr>
<td>
<br />activeField = textField;</p>
</td>
</tr>
<tr>
<td>
<br />}</p>
</td>
</tr>
<tr>
<td>&nbsp;</td>
</tr>
<tr>
<td>
<br />- (void)textFieldDidEndEditing:(UITextField&nbsp; *)textField</p>
</td>
</tr>
<tr>
<td>
<br />{</p>
</td>
</tr>
<tr>
<td>
<br />activeField = nil;</p>
</td>
</tr>
<tr>
<td>
<br />}</p>
</td>
</tr>
</tbody>
</table>
<p>2 、注册通知的观察者</p>
<table>
<tbody>
<tr>
<td>
<br />- (void)registerForKeyboardNotifications</p>
</td>
</tr>
<tr>
<td>
<br />{</p>
</td>
</tr>
<tr>
<td>
<br />[[NSNotificationCenter defaultCenter] addObserver:self</p>
</td>
</tr>
<tr>
<td>
<br />selector:@selector(keyboardWasShown:)</p>
</td>
</tr>
<tr>
<td>
<br />name:UIKeyboardDidShowNotification object:nil];</p>
</td>
</tr>
<tr>
<td>&nbsp;</td>
</tr>
<tr>
<td>
<br />[[NSNotificationCenter defaultCenter] addObserver:self</p>
</td>
</tr>
<tr>
<td>
<br />selector:@selector(keyboardWillBeHidden:)</p>
</td>
</tr>
<tr>
<td>
<br />name:UIKeyboardWillHideNotification object:nil];</p>
</td>
</tr>
<tr>
<td>&nbsp;</td>
</tr>
<tr>
<td>
<br />}</p>
</td>
</tr>
</tbody>
</table>
<p>将这个方法放在 viewDidAppear 中调用。</p>
<p>同时也要写一个 removeObserver 放在 viewWillDisappear 中调用。</p>
<p>3 、实现键盘显示通知的 selector 中的方法</p>
<table>
<tbody>
<tr>
<td>
<br />// Called when the&nbsp; UIKeyboardDidShowNotification is sent.</p>
</td>
</tr>
<tr>
<td>
<br />-&nbsp; (void)keyboardWasShown:(NSNotification*)aNotification</p>
</td>
</tr>
<tr>
<td>
<br />{</p>
</td>
</tr>
<tr>
<td>
<br />NSDictionary* info = [aNotification userInfo];</p>
</td>
</tr>
<tr>
<td>
<br />CGSize kbSize = [[info objectForKey:UIKeyboardFrameBeginUserInfoKey]&nbsp; CGRectValue].size;</p>
</td>
</tr>
<tr>
<td>&nbsp;</td>
</tr>
<tr>
<td>
<br />UIEdgeInsets&nbsp; contentInsets = UIEdgeInsetsMake(0.0, 0.0, kbSize.height, 0.0);</p>
</td>
</tr>
<tr>
<td>
<br />scrollView.contentInset = contentInsets;</p>
</td>
</tr>
<tr>
<td>
<br />scrollView.scrollIndicatorInsets = contentInsets;</p>
</td>
</tr>
<tr>
<td>&nbsp;</td>
</tr>
<tr>
<td>
<br />// If active text field is hidden by keyboard, scroll it so it‘s&nbsp; visible</p>
</td>
</tr>
<tr>
<td>
<br />// Your application might not need or want this behavior.</p>
</td>
</tr>
<tr>
<td>
<br />CGRect aRect = self.view.frame;</p>
</td>
</tr>
<tr>
<td>
<br />aRect.size.height -= kbSize.height;</p>
</td>
</tr>
<tr>
<td>
<br />if (!CGRectContainsPoint(aRect, activeField.frame.origin) ) {</p>
</td>
</tr>
<tr>
<td>
<br />CGPoint scrollPoint = CGPointMake(0.0,&nbsp; activeField.frame.origin.y-kbSize.height);</p>
</td>
</tr>
<tr>
<td>
<br />[scrollView setContentOffset:scrollPoint animated:YES];</p>
</td>
</tr>
<tr>
<td>
<br />}</p>
</td>
</tr>
<tr>
<td>
<br />}</p>
</td>
</tr>
</tbody>
</table>
<p>4 、实现键盘消失通知的方法</p>
<table>
<tbody>
<tr>
<td>
<br />// Called when the&nbsp; UIKeyboardWillHideNotification is sent</p>
</td>
</tr>
<tr>
<td>
<br />-&nbsp; (void)keyboardWillBeHidden:(NSNotification*)aNotification</p>
</td>
</tr>
<tr>
<td>
<br />{</p>
</td>
</tr>
<tr>
<td>
<br />UIEdgeInsets contentInsets = UIEdgeInsetsZero;</p>
</td>
</tr>
<tr>
<td>
<br />scrollView.contentInset = contentInsets;</p>
</td>
</tr>
<tr>
<td>
<br />scrollView.scrollIndicatorInsets&nbsp; = contentInsets;</p>
</td>
</tr>
<tr>
<td>
<br />}</p>
</td>
</tr>
</tbody>
</table>
<p>这个方法调整内容底部的 inset 的值使得输入框不被键盘区域屏蔽的。还可以换种方法实现。</p>
<p>第三种，</p>
<p>扩展内容视图的高度，滚动文本输入框对象进内容视图。</p>
<p>将 keyboardWasShown: 重写。</p>
<table>
<tbody>
<tr>
<td>
<br />-&nbsp;&nbsp; (void)keyboardWasShown:(NSNotification*)aNotification {</p>
</td>
</tr>
<tr>
<td>
<br />NSDictionary*&nbsp; info = [aNotification userInfo];</p>
</td>
</tr>
<tr>
<td>
<br />CGSize kbSize = [[info objectForKey:UIKeyboardFrameBeginUserInfoKey]&nbsp; CGRectValue].size;</p>
</td>
</tr>
<tr>
<td>
<br />CGRect bkgndRect = activeField.superview.frame;</p>
</td>
</tr>
<tr>
<td>
<br />bkgndRect.size.height += kbSize.height;</p>
</td>
</tr>
<tr>
<td>
<br />[activeField.superview&nbsp; setFrame:bkgndRect];</p>
</td>
</tr>
<tr>
<td>
<br />[scrollView setContentOffset:CGPointMake(0.0,&nbsp; activeField.frame.origin.y-kbSize.height) animated:YES];</p>
</td>
</tr>
<tr>
<td>
<br />}</p>
</td>
</tr>
</tbody>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-12 02:15:00 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/cti/" title="cti">cti</a>, <a href="https://www.biecuoliao.com/tag/for/" title="for">for</a>, <a href="https://www.biecuoliao.com/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>保持iOS上键盘出现时输入框不被覆盖的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dZw164.html" rel="bookmark">如何保持iOS上键盘出现时输入框不被覆盖</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 iOS5 上请求显示键盘时,系统从屏幕底部将键盘滑入上来,位于应用的内容之上. (墙内:http://mikixiyou.iteye.com/blog/1488302) 如果屏幕中的内容项目比较多,它就可能覆盖住文本输入框之类的对象.你必须调整你的内容,使得输入框保持可见. 你会想到哪些处理方法呢? 第一种, 临时调整窗口中各个视图的大小,使得键盘从下向上占领的区域空白.键盘的高度( keyboard.size.height )是一定的,将视图中所有内容所在区域的 y 值减小到 y-keyb			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzawAO4.html" rel="bookmark">手机端上点击input框软键盘出现时把input框不被覆盖，显示在屏幕中间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1  用定位为题来解决var oHeight = $(document).height(); //浏览器当前的高度      $(window).resize(function(){ if($(document).height() &lt; oHeight){                 $(&quot;#footer&quot;).css(&quot;position&quot;,&quot;static&quot;);    }else{                 $(&quot;#foot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3q2Eqp4.html" rel="bookmark">ios-利用键盘通知处理键盘出现时遮挡控件问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				-(void)viewDidLoad { NSNotificationCenter *center = [NSNotificationCenter defaultCenter]; //注册键盘显示通知 [center addObserver:self selector:@selector(keyboardWillShow:) name:UIKeyboardWillShowNotification object:nil]; //注册键盘隐藏通知 [center addObserver:self s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KOWYw0.html" rel="bookmark">ios 避免navigationcontroller出现时scrollview内容被resize</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				viewDidLoad中设置以下属性 self.automaticallyAdjustsScrollViewInsets = NO;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4An81vM.html" rel="bookmark">phoneGap在iOS上的简单使用&colon;弹出对话框和调用相机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				弹出对话框 在phoneGap中使用navigator.notification.confirm()可以在iOS上弹出原生对话框,并且得到对应按钮的点击索引,方法原型如下: navigator.notification.confirm( msg, //要显示的信息 backFn, //警告被忽略的回调函数 title, //标题 btns||'取消,确定' //按钮名称 ) 当前项目中做了如下封装: showConfirm:function(msg,title,backFn,btns){ nav			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OmVprM.html" rel="bookmark">iOS UIWebView键盘处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				让UIWebView弹出键盘上的按钮显示中文    http://www.cr173.com/html/19440_1.html 如果你有下面的问题,此文也许会帮到你. 键盘遮盖了UIWebView. 如何拖动UIWebView来移除键盘. 键盘出现时UIWebView里面的Content内容向上移动,以至聚焦的文本框超出了UIWebView的可视区域. 如何在键盘弹出时禁止UIWebView里面的Content向上移动. 无法在UIWebView中获取到坐标,来计算contentOffset得			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pexQ8M.html" rel="bookmark">iOS 监听键盘高度，输入框上升</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 //设置输入框 ---&lt;因为输入框用了get方法,所以第一次调用输入框要用self 调用&gt;: 2 self.textlab.frame=CGRectMake(20, 420, 250, 30); 3 _textlab.layer.borderColor=[UIColor blueColor].CGColor; 4 _textlab.layer.borderWidth= 0.5f; 5 _textlab.backgroundColor=[UIColor colorWithRed:0.830			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGnmny4.html" rel="bookmark">IOS 关闭键盘 退出键盘 的5种方式（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IOS 关闭键盘 退出键盘 的5种方式 转自“http://blog.csdn.net/w88193363/article/details/24423635” 分类: iphone2014-04-24 17:03 2197人阅读 评论(0) 收藏 举报 1.点击编辑区以外的地方(UIView) 2.点击编辑区域以外的地方(UIControl) 3.使用制作收起键盘的按钮 4.使用判断输入字元 5.关于键盘遮蔽的问题 1,点击编辑区以外的地方(UIView) 这是一种很直觉的方法,当不再需要使用虚			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OX2774.html" rel="bookmark">iOS关闭键盘的两种简单方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法一: //1, 关闭键盘 [[[UIApplication sharedApplication] keyWindow] endEditing:YES]; 方法二: //2, 关闭键盘 [[self findFirstResponderBeneathView:self] resignFirstResponder]; - (UIView*)findFirstResponderBeneathView:(UIView*)view { // Search recursively for first r			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/VMGLaZ0.html" rel="bookmark" class="title">CC1310生成PWM波</a>
					<div>
						工作中因为时间紧迫,我不得不抛开TI提供的TI-RTOS.sdk和xdctools等工具,采用ucos + 库函数的方式去开发.最开始一头扎进去,碰见的就PWM的生成. PWM方面,TI自带封装好了P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/949VAbM.html" rel="bookmark" class="title">postfix 邮件服务器搭建详解</a>
					<div>
						常见的邮件服务器: Sendmail .Qmail .postfix .Zmaile Exchange  . Notes/Domino Coremail  .U-mail zmailer: 新出的邮件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wrEQZ0.html" rel="bookmark" class="title">20135219洪韶武-信息安全系统设计基础第九周学习总结</a>
					<div>
						第九周学习总结 一.课本内容 1.每个unix文件都是一个m字节的序列:所有I/O设备如网络.磁盘和终端都被模型化为文件,而输入和输出就是对这些文件的读写操作. 2.unix系统中输入输出的操作: 打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNbDn3.html" rel="bookmark" class="title">ADO&period;NET时间戳使用</a>
					<div>
						出处http://support.microsoft.com/zh-cn/kb/317095 概要 本分步指南使用 Microsoft SQL Server时间戳字段以减少发送到服务器的数据量检测更新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RY8DvM.html" rel="bookmark" class="title">补发《超级迷宫》站立会议三</a>
					<div>
						那天我给自己的任务是实现控件的控制,但结果明显很不理想,我仅仅加载了两个控件(即两个小人),一个是玩家,另一个是守关者,玩家控制基本实现,通过方向键进行控制:但守关者的控制有点难,我的思路是控制守关者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/418vQo3.html" rel="bookmark" class="title">GMM高斯混合模型 学习（2）</a>
					<div>
						(图片from http://www.cnblogs.com/zhangchaoyang/articles/2624882.html) 单高斯分布 如果特征x是一维(只考虑点的x坐标)的,高斯分布是: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lGY2pM.html" rel="bookmark" class="title">&lbrack;蓝桥杯&rsqb; 最大比例</a>
					<div>
						峰值内存消耗 &lt; 256M CPU消耗  &lt; 3000ms [题目描述 - Problem Description] X星球的某个大奖赛设了M级奖励.每个级别的奖金是一个正整数. 并且,相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEZAEy0.html" rel="bookmark" class="title">Python模块包中&lowbar;&lowbar;init&lowbar;&lowbar;&period;py文件的作用</a>
					<div>
						在eclipse中用pydev开发Python脚本时,我遇到了一个这样的现象,当我新建一个pydev package时,总会自动地生成一个空的__init__.py文件,因为是python新手,所以很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgNnZK4.html" rel="bookmark" class="title">Linux core dump file详解</a>
					<div>
						Linux core dump file详解 http://www.cnblogs.com/langqi250/archive/2013/03/05/2944931.html					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWyAz4.html" rel="bookmark" class="title">关于网页导航栏制作的几种方法与常见问题解决（新人向）</a>
					<div>
						无序列表是html页面排版经常用到的非常实用的标签,但是新手在使用无序列表时,经常会在横向排版上出现问题,笔者在这里提供了笔者在使用无序列表制作网页导航栏时的几种方法与常见问题的解决问题.(以css内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xr2on4.html" rel="bookmark" class="title">&lbrack;Angular 2&rsqb; 5&period; Inject Service with &amp;quot&semi;Providers&amp;quot&semi;</a>
					<div>
						In this lesson, we’re going to take a look at how add a class to the providers property of a compone ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35AJ2K3.html" rel="bookmark" class="title">痰氖孟豪铺84桃在缘tf斩直</a>
					<div>
						否则,必定有孩子,待详细问过这位瓦工得班长之后才晓得,既是对旧信息处理情况得检查和鉴定,一共进行疗两个上午一个下午,本人将充分发挥每个人得特长,婉转有情,将不会有一个积极得推动. 望这些忠告将产生强烈 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JyJoA3.html" rel="bookmark" class="title">PMP实践 - 项目整合管理之制定项目章程</a>
					<div>
						项目章程是制定一份正式批准项目或阶段的文件,并记录能反映干系人需要和期望的初步要求的过程. 项目章程的批准标志着项目的正式启动. 那么谁来制定项目章程呢?可以是项目发起人,PMO,或者是他们任命的项目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Moaglx3.html" rel="bookmark" class="title">page59-一种能够累加数据的ADT&lpar;可视化版本&rpar; &lbrack;可用于数据挖掘可视化工具&rsqb;</a>
					<div>
						public class VisualAccumulator VisualAccumulator() 创建一个累加器 void addDataValue(double val) 添加一个新的数据值 d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41zdWvM.html" rel="bookmark" class="title">隐藏文件夹（让操作系统误认为系统回收站）</a>
					<div>
						@echo off rem 原理:采用与回收站同名文件夹.在该文件夹下建立desktop.ini 文 rem 件,使windows 系统误认为该文件夹为系统回收站. rem 用法:新建一文件夹,名称为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pP79x4.html" rel="bookmark" class="title">Hibernate学习（二）</a>
					<div>
						主键生成策略 (1)native(很常用) Mysql .SQL Server常用identity(自增主键生成机制) Native就是将主键生成的生成工作交由数据库完成,会根据底层数据库的能力,从i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWVPNk4.html" rel="bookmark" class="title">IIS无法加载 DLL解决办法</a>
					<div>
						IIS提示 无法加载 DLL“OraOps12.dll”: 找不到指定的模块. (异常来自 HRESULT:0x8007007E). 说明: 执行当前 Web 请求期间,出现未经处理的异常.请检查堆栈 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JvDAA4.html" rel="bookmark" class="title">笔试题：乱序求第n大（小）的数。我能想到的最好的方法。</a>
					<div>
						#include &lt;iostream&gt; using namespace std; //当然用快速排序也是一样的. class Heap { public: Heap(){} void In ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVql8k4.html" rel="bookmark" class="title">【歪谈】创业和守业期间老板的&OpenCurlyDoubleQuote;嘴脸&rdquo;为何会不同？</a>
					<div>
						今天又要谈到我最崇拜的古人之一:刘邦. 前面我在&lt;我们该怎么学习?做学者还是习者&gt;这篇文章中列举了关于刘邦&quot;怎么学习&quot;的例子.在我个人角度看来,刘邦牛逼的地方除了颇具特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXqJoz0.html" rel="bookmark" class="title">Kotlin将Realm提升到更高层次</a>
					<div>
						作者:Víctor Manuel Pineda 时间:Feb 14, 2017 原文链接:https://antonioleiva.com/kotlin-realm-extensions/ 当有人问我 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
